package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: AlbumInfoVo
 * 作者: Zizg
 * 时间: 2023/2/1
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("专辑基础信息Vo")
@Data
public class AlbumInfoVo implements Serializable {

    @ApiModelProperty("专辑ID")
    private String pkId;

    @ApiModelProperty("专辑名称")
    private String name;

    @ApiModelProperty("所属分类")
    private String categoryName;

    @ApiModelProperty("收录知识量")
    private Integer knowledgeTotal;

    @ApiModelProperty("点评量")
    private Integer yelpTotal;

    @ApiModelProperty("访问量")
    private Integer views;

    @ApiModelProperty("专辑负责人姓名")
    private String ownerName;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    @ApiModelProperty("状态 0-关闭 1-开启")
    private Integer state;

    @ApiModelProperty("专辑状态名称")
    private String stateName;

    @ApiModelProperty("版本状态")
    private Integer versionState;

    @ApiModelProperty("版本状态名称")
    private String versionStateName;

    @ApiModelProperty("操作人")
    private String operator;

    @ApiModelProperty("操作时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date updateTime;

    @ApiModelProperty("管理端动作标记")
    private List<String> actionFlagM;

    @ApiModelProperty("PC端动作标记")
    private List<String> actionFlag;

    @ApiModelProperty("专辑封面")
    private String cover;

    @ApiModelProperty("负责人头像")
    private String ownerPhoto;

}
