package com.redxun.knowledge.album.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumYelp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
* 业务--专辑点评表数据库访问层
*/
@Mapper
public interface AlbumYelpMapper extends BaseDao<AlbumYelp> {


    /**
     * 根据专辑Id删除点评信息
     * @param ids
     */
    void deleteByAlbumId(String ids);


    /**
     * 管理端分页查询一级点评信息(最多返回两条回复)
     * @param userId
     * @return
     */
    List<AlbumYelp> findListAllYelpInfo(@Param("albumId")String albumId,@Param("userId") String userId);

    /**
     * 查询回复信息(根为一级评论)
     * @param albumId
     * @param userId
     * @param pkId
     * @return
     */
    List<AlbumYelp> findListAllReplies(@Param("albumId")String albumId,@Param("userId") String userId,@Param("pkId") String pkId);

    /**
     * PC端与我相关的一级点评
     * @param albumId
     * @param userId
     * @return
     */
    List<AlbumYelp> findListAllYelpInfoById(@Param("albumId")String albumId,@Param("userId") String userId);

    /**
     * PC端与我相关的回复
     * @param albumId
     * @param userId
     * @return
     */
    List<AlbumYelp> findListAllRepliesById(@Param("albumId")String albumId,@Param("userId") String userId);
}
