
package com.redxun.knowledge.map.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;

import com.redxun.common.base.entity.JsonResult;
import com.redxun.knowledge.map.entity.dao.MapRoute;
import com.redxun.knowledge.map.entity.vo.MapContentVo;
import com.redxun.knowledge.map.service.MapRouteServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/map/route")
@Api(tags = "业务--知识地图学习路径表")
@ClassDefine(title = "业务--知识地图学习路径表", alias = "MapRouteController",
        path = "/api-knowledge/map/mapRoute", packages = "knowledge", packageName = "子系统名称")
public class MapRouteController extends BaseController<MapRoute> {

    @Autowired
    MapRouteServiceImpl mapRouteService;


    @Override
    public BaseService getBaseService() {
        return mapRouteService;
    }

    @Override
    public String getComment() {
        return "业务--知识地图学习路径表";
    }

    @ApiOperation("根据知识地图路径ID获取知识地图学习内容")
    @GetMapping("contentTops")
    public JsonResult contentTops(@RequestParam("routeId")String routeId,
                                  @RequestParam(value = "tops",required = false,defaultValue = "10")Integer tops){
        JsonResult jsonResult = JsonResult.getSuccessResult("");
        List<MapContentVo> mapContentVoList = mapRouteService.contentTops(routeId,tops);
        if (mapContentVoList != null){
           return jsonResult.setData(mapContentVoList);
        } else {
            return jsonResult.setData("您没有访问权限");
        }


    }

}

