
package com.redxun.knowledge;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.search.QueryFilter;
import com.redxun.common.ribbon.annotation.EnableFeignInterceptor;
import com.redxun.knowledge.entity.dao.Knowledge;
import com.redxun.knowledge.service.KnowledgeServiceImpl;
import com.redxun.search.service.SearchService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

/**
 * Knowledge服务测试用例
 */
@RunWith(SpringRunner.class)
@SpringBootTest
@EnableFeignInterceptor
@EnableFeignClients
@Slf4j
public class KnowledgeServiceTest {

    @Resource
    KnowledgeServiceImpl knowledgeService;

    @Autowired
    private SearchService searchService;

    @Value("${file.documentUrl}")
    private String documentUrl;

    /**
     * 测试获取记录
     */
    @Test
    public void testGet(){
        String id="1622884034234941441";
        Knowledge knowledges=knowledgeService.get(id);
        searchService.notice(knowledges.getPkId(),knowledges.getDocumentId(),knowledges.getTitles(),knowledges.getTitles(),"",
                documentUrl + knowledges.getPkId(),"","",
                knowledges.getAuthor(),
                knowledges.getCreateBy(),"",knowledges.getSummary(),1);
        log.info("知识信息为 -> {}",knowledges.getSummary() == null);

        Assert.assertNotNull(knowledges);
    }

    /**
     * 测试获取所有记录
     */
    @Test
    public void testGetAll(){
        List<Knowledge> list=knowledgeService.getAll();
        Assert.assertTrue(list.size()>0);
    }

    /**
     * 测试按条件进行过滤并分页返回
     */
    @Test
    public void testQueryAll() {
        QueryFilter filter=new QueryFilter();
        filter.addQueryParam("Q_name__S_LK","表单");
        IPage<Knowledge> page=knowledgeService.query(filter);
        Assert.assertTrue(page.getRecords().size()>0);
    }

    /**
     * 查询添厍
     */
    @Test
    public void testAddAndUpdate(){
    }

    /**
     * 测试删除记录
     */
    @Test
    public void testDel(){
        String id="1200733561548824578";
        knowledgeService.delete(id);
    }

}
